UGIDD(8)

NAME
ugidd - uid/gid mapping daemons

SYNOPSIS
/usr/sbin/ugidd

DESCRIPTION
ugidd starts a daemon that handles rpc requests to map uid/gids to string names and vice versa. It is called by a unfsd(8) server when the client and server do not share the same passwd file.

This version allows you to restrict access to the server through the hosts_access(5) files when compiled with the -DHOSTS_ACCESS option. Otherwise, ugidd could be used by anyone in the Internet to obtain a list of all valid usernames on the client machine. For instance, to restrict access to hosts on your class C IP network, you could add the following lines to hosts.allow and hosts.deny:

# /etc/hosts.allow
ugidd:     192.168.1.
# /etc/hosts.deny
ugidd:     ALL

SEE ALSO
exports(5), inetd(8), hosts_access(5)

BUGS
The rpc program number is legal in that it lies in the 0x20000000 to 0x3fffffff ``Defined by user'' range, but is completely arbitrary.